Data Enrichment Fields Metadata

Purpose

Retrieve the list of supported enrichment fields and their corresponding Zoho CRM fields that can be used when creating a Data Enrichment configuration.

This API provides the available fields for both:

  • Organization-level enrichment
  • Personal-level enrichment

Use this API to determine which enrichment fields are allowed and can be mapped to CRM fields during configuration setup.

Request Details

Request URL

{api-domain}/crm/{version}/settings/zia/data_enrichment/allowed_field_mappings

Supported Modules

Leads, Contacts, Accounts, Vendors, and Custom

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

scope=ZohoCRM.Zia.enrichment.ALL  (or)
scope=ZohoCRM.Zia.enrichment.READ 

Parameters

  • modulestring, mandatory

    Specify the module for which you want to retrieve the allowed enrichment fields and corresponding CRM fields. Use the Get Modules Metadata API to retrieve module API names.
    Supported modules: Leads, Contacts, Accounts, Vendors, and Custom.

  • typestring, mandatory

    The type of enrichment.

    Possible values: 
    organization - Organization-level enrichment
    personal - People-level enrichment

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v7/settings/zia/data_enrichment/allowed_field_mappings?module=Leads&type=organization"
-X GET
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"

Response JSON Keys

  • allowed_field_mappingsJSON Object

    Contains the list of enrichment fields and their corresponding Zoho CRM fields that are allowed for mapping.

    • input_data_field_mappingJSON array

      The mapping of enrich fields with fields in Zoho CRM. These enrich fields are the triggers based on which data is enriched in other fields. For example, if you have configured "Company" as the enrich field in the Leads module, then, while creating or updating a lead, if you input a value to the Company field, data in other fields will be automatically populated with enriched data based on the mapping. 
      This key lists the allowed enrichment fields that can be mapped to CRM fields. 

      Possible values : Organization Name, Email, and Website. 

      You can also find the corresponding CRM fields for these enrichment fields in the "output_data_field_mapping" JSON array key.

      • enrich_fieldJSON array

        The name and display label of the enrich field. Zia will look for data about this field over the Internet. 

      • crm_fieldJSON array

        The unique ID and API name of the field in CRM. Input to this field triggers data enrichment in fields specified in output_data_field_mapping.

    • output_data_field_mappingJSON array

      The mapping of enrich fields with fields in Zoho CRM. These fields in CRM will be enriched based on data available over the Internet whenever values are input for the fields specified in "input_data_field_mapping".

      • enrich_fieldJSON array

        The name and display label of the enrich field. Zia will look for data about this field over the Internet and enriches data in the mapped field.

      • crm_fieldJSON array

        The unique ID, name, and API name of the field in CRM. When enrichment is enabled and Zia finds data, the relevant fields in CRM will get updated.

Possible Errors

  • INVALID_DATAHTTP 400
    • Invalid datatype for parameters
      Resolution: Specify valid datatypes for the corresponding parameters. Refer to the Parameters section.
    • Invalid value for the type parameter
      Resolution: Specify a valid value. Possible values: organization, personal
  • NOT_SUPPORTEDHTTP 400

    Unsupported module for data enrichment configuration
    Resolution: Specify a supported module.
    Supported modules: Leads, Contacts, Accounts, Vendors, and Custom modules.

  • REQUIRED_PARAM_MISSINGHTTP 400

    Required parameters are missing
    Resolution: Specify the required parameters with their corresponding values.
    Required parameters: module, type.

  • NO_PERMISSIONHTTP 400

    No permission to retrieve data enrichment fields metadata
    Resolution: Contact your administrator to get the necessary permissions.

  • FEATURE_NOT_ENABLEDHTTP 400

    Data enrichment feature is not enabled for your account
    Resolution: Enable data enrichment feature or contact your system administrator.

  • FEATURE_NOT_SUPPORTEDHTTP 400

    Data enrichment is not available for your edition of CRM
    Resolution: Data enrichment is available only for the Enterprise and Ultimate editions of CRM. Upgrade your edition or contact support@zohocrm.com.

  • INVALID_REQUEST_METHODHTTP 400

    The http request method type is not a valid one
    Resolution: You have specified an invalid HTTP method to access the API URL.
    Specify a valid request method. Refer to the "Endpoints" section.

  • OAUTH_SCOPE_MISMATCHHTTP 401

    Unauthorized
    Resolution: The client does not have a valid scope to retrieve the allowed fields for data enrichment configuration mapping. Create a new token with valid scope. Refer to the "Scope" section.

  • AUTHENTICATION_FAILUREHTTP 401

    Authentication failed
    Resolution: Pass the access token in the request header of the API call.

  • INVALID_URL_PATTERNHTTP 404

    Please check if the URL trying to access is a correct one
    Resolution: The request URL specified is incorrect. Specify a valid request URL. Refer to the "Request URL" section.

  • INTERNAL_ERRORHTTP 500

    Internal Server Error
    Resolution: Unexpected and unhandled exception in the server. Contact support team.

Sample Response

Copied{
    "allowed_field_mappings": {
        "input_data_field_mapping": [
            {
                "enrich_field": {
                    "display_label": "Organization Name",
                    "name": "org_name"
                },
                "crm_fields": [
                    {
                        "api_name": "Company",
                        "id": "5725767000000002591"
                    },
                    {
                        "api_name": "Designation",
                        "id": "5725767000000002597"
                    },
                    .
                    .
                    .
                ]
            },
            {
                "enrich_field": {
                    "display_label": "Email",
                    "name": "email"
                },
                "crm_fields": [
                    {
                        "api_name": "Email",
                        "id": "5725767000000002599"
                    },
                    {
                        "api_name": "Secondary_Email",
                        "id": "5725767000000044003"
                    },
                    {
                        "api_name": "Your_Namea",
                        "id": "5725767000002475012"
                    }
                ]
            },
            {
                "enrich_field": {
                    "display_label": "Website",
                    "name": "org_website"
                },
                "crm_fields": [
                    {
                        "api_name": "Website",
                        "id": "5725767000000002607"
                    }
                ]
            }
        ],
        "output_data_field_mapping": [
            {
                "enrich_field": {
                    "display_label": "Organization Name",
                    "name": "name"
                },
                "crm_fields": [
                    {
                        "api_name": "Company",
                        "id": "5725767000000002591"
                    },
                    {
                        "api_name": "First_Name",
                        "id": "5725767000000002593"
                    },
                    {
                        "api_name": "Last_Name",
                        "id": "5725767000000002595"
                    },
                    .
                    .
                    .
                ]
            },
            {
                "enrich_field": {
                    "display_label": "Primary Email",
                    "name": "primary_email"
                },
                "crm_fields": [
                    {
                        "api_name": "Email",
                        "id": "5725767000000002599"
                    },
                    {
                        "api_name": "Secondary_Email",
                        "id": "5725767000000044003"
                    },
                    .
                    .
                    .
                ]
            },
            {
                "enrich_field": {
                    "display_label": "Secondary Email",
                    "name": "secondary_email"
                },
                "crm_fields": [
                    {
                        "api_name": "Email",
                        "id": "5725767000000002599"
                    },
                    {
                        "api_name": "Secondary_Email",
                        "id": "5725767000000044003"
                    },
                    .
                    .
                    .
                ]
            },
            {
                "enrich_field": {
                    "display_label": "Primary Contact Number",
                    "name": "primary_contact"
                },
                "crm_fields": [
                    {
                        "api_name": "Phone",
                        "id": "5725767000000002601"
                    },
                    {
                        "api_name": "Mobile",
                        "id": "5725767000000002605"
                    }
                ]
            },
            {
                "enrich_field": {
                    "display_label": "Secondary Contact Number",
                    "name": "secondary_contact"
                },
                "crm_fields": [
                    {
                        "api_name": "Phone",
                        "id": "5725767000000002601"
                    },
                    {
                        "api_name": "Mobile",
                        "id": "5725767000000002605"
                    }
                ]
            },
            {
                "enrich_field": {
                    "display_label": "Industries",
                    "name": "industries"
                },
                "crm_fields": [
                    {
                        "api_name": "Company",
                        "id": "5725767000000002591"
                    },
                    {
                        "api_name": "First_Name",
                        "id": "5725767000000002593"
                    },
                    {
                        "api_name": "Designation",
                        "id": "5725767000000002597"
                    },
                   .
                   .
                   .
                ]
            },
            .
            .
            .
        ]
    }
}